Bug 650626 - FormatCreateError: ('invalid device specification', '/dev/sda6')
FormatCreateError: ('invalid device specification', '/dev/sda6')
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
anaconda_trace_hash:b9ecc6c68bd7dea1c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-07 08:39 EST by Stanislav
Modified: 2015-01-04 21:53 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-04 21:53:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (542.74 KB, text/plain)
2010-11-07 08:39 EST, Stanislav
no flags Details

  None (edit)
Description Stanislav 2010-11-07 08:39:11 EST
The following was filed automatically by anaconda:
anaconda 14.22 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/__init__.py", line 266, in create
    raise FormatCreateError("invalid device specification", self.device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/lvmpv.py", line 109, in create
    DeviceFormat.create(self, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 290, in execute
    options=self.device.formatArgs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 700, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 313, in doIt
    self.devicetree.processActions()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packages.py", line 110, in turnOnFilesystems
    anaconda.storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 212, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 131, in gotoNext
    self.moveStep()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1190, in nextClicked
    self.anaconda.dispatch.gotoNext()
FormatCreateError: ('invalid device specification', '/dev/sda6')
Comment 1 Stanislav 2010-11-07 08:39:23 EST
Created attachment 458457 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2010-11-08 11:33:42 EST
Looks like something strange is going on while udev is processing, which is probably leading to /dev/sda6 never getting created.

13:26:39,280 ERR udevd: worker [1792] unexpectedly returned with status 0x0100
13:26:39,280 ERR udevd: worker [1792] failed while handling '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda2'
13:26:39,280 ERR udevd: worker [1834] unexpectedly returned with status 0x0100
13:26:39,280 ERR udevd: worker [1834] failed while handling '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda3'
13:26:39,280 ERR udevd: worker [1836] unexpectedly returned with status 0x0100
13:26:39,280 ERR udevd: worker [1836] failed while handling '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda5'
13:26:39,280 ERR udevd: worker [1841] unexpectedly returned with status 0x0100
13:26:39,280 ERR udevd: worker [1841] failed while handling '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda6'
13:31:25,093 ERR udevd: worker [1790] unexpectedly returned with status 0x0100
13:31:25,093 ERR udevd: worker [1790] failed while handling '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda'
Comment 3 Fedora Admin XMLRPC Client 2011-10-20 12:08:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-10-20 12:10:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-10-20 12:12:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-10-20 12:17:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Harald Hoyer 2011-10-21 06:02:03 EDT
(In reply to comment #2)
> Looks like something strange is going on while udev is processing, which is
> probably leading to /dev/sda6 never getting created.
> 
> 13:26:39,280 ERR udevd: worker [1792] unexpectedly returned with status 0x0100
> 13:26:39,280 ERR udevd: worker [1792] failed while handling
> '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda2'
> 13:26:39,280 ERR udevd: worker [1834] unexpectedly returned with status 0x0100
> 13:26:39,280 ERR udevd: worker [1834] failed while handling
> '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda3'
> 13:26:39,280 ERR udevd: worker [1836] unexpectedly returned with status 0x0100
> 13:26:39,280 ERR udevd: worker [1836] failed while handling
> '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda5'
> 13:26:39,280 ERR udevd: worker [1841] unexpectedly returned with status 0x0100
> 13:26:39,280 ERR udevd: worker [1841] failed while handling
> '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda6'
> 13:31:25,093 ERR udevd: worker [1790] unexpectedly returned with status 0x0100
> 13:31:25,093 ERR udevd: worker [1790] failed while handling
> '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda'

still a problem?
Comment 8 Fedora End Of Life 2013-04-03 15:08:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Lennart Poettering 2015-01-04 21:53:21 EST
Appears to be an f14 bug. If this is reproducible on a current and supported Fedora version, please reopen.

Note You need to log in before you can comment on or make changes to this bug.